Page MenuHomePhabricator

Remove Russian names for special pages in Ukrainian and Rusyn wikis
Closed, DeclinedPublic

Description

(Branching from bug 37314)

A few days ago all special pages in Ukrainian-language wikis have received Russian names. For example, we can see at WM-UA wiki (in Ukrainian) that RC page is currently
http://ua.wikimedia.org/wiki/Спеціальна:Свежие_правки . Спеціальна is a Special
page in Ukrainian, but Свежие_правки is a Russian name for RecentChanges.

Currently Ukrainian community does not want to give local names to Special
pages, and we are feeling quite comfortably with English names (English being international standard), but we want to get English names and not Russian ones. The same is the case for all other special pages in all Ukrainian Wikimedia projects except Wikipedia. So please at least remove Russian names for special pages in Ukrainian wikis.

Thanks


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=37314

Details

Reference
bz37329

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:26 AM
bzimport set Reference to bz37329.
bzimport added a subscriber: Unknown Object (MLST).
NickK created this task.Jun 4 2012, 10:26 PM
NickK added a comment.Jun 6 2012, 9:02 PM

Instead of fixing this, Russian names for special pages were also enabled in Ukrainian Wikipedia. Please remove them, Ukrainian community wants to keep English names of special pages and not Russian ones

Link to local discussion : http://uk.wikipedia.org/wiki/Вікіпедія:Кнайпа_(технічні_питання)#Список_наблюдения

NickK added a comment.Jun 6 2012, 9:13 PM

Same behaviour is currently observed in Rusyn wikis, for example : http://rue.wikipedia.org/wiki/Шпеціална:Свежие_правки (in Rusyn it's Послїднї зміны, was RecentChanges)

microcell3 wrote:

During the last months, there have been at least five requests from different users on discussion pages to remove Russian-language titles from interface messages. They were subsequently fixed by me or someone else on Translatewiki, but this solution has only a partial effect in the sense that it doesn't stop the problem from reappearing. Furthermore, the latest issue with wrong titles of special pages isn't corrigible in this way and has already resulted in a discussion on a local forum. Obviously the community does recognise it shouldn't stay as it is, therefore I subsribe to the request for fixing obviously wrong titles and allowing the community to choose what the fallback language should be.

I'm one of the administrators of the Ukrainian Wikipedia and I can approve that our community doesn't want to see such pages as Спеціальна:Свежие_правки that look really weird for Ukrainians. While I understand that this could be or could not be fixed for Mediawiki in general, please, add some kind of exception for Wikimedia projects at least. I kindly ask you to fix it ASAP

  • This bug has been confirmed by popular vote. ***

As long as Russian is a valid fallback, this is not going to change because 1) it doesn't make sense, 2) it would be very hard to create an exception only for special pages, only for Ukrainian.
So, if this is a really big issue for you, I suggest to:
a) get bug 37314 fixed (do people really prefer English over Russian? and so on);
b) propose a process to make it easier for you to spot changes at translatewiki.net.

(b) Seems the way to go, because changing aliases is already made very easy by TWN and probably you only need to submit translations for them in time; or maybe you'd want some automatic notification of new special pages names like [[mw:Extension:TranslationNotifications]]? Or maybe of all changes to aliases which are going to be submitted?
Or maybe you rather need when the next MediaWiki release is coming to your wiki to be able to test it in time on our test wikis? (See also [[m:Tech/Ambassadors]].)

Please identify the problem and how developers can help you; the solution proposed here is the wrong one.

Pustomytnyk wrote:

b) I want to be warned about every new or "fuzzy" MediaWiki message on Translatewiki before they are applied. Extension:TranslationNotifications is a good solution if it provides such capability.

Pustomytnyk wrote:

No, I don't want to check this page daily. I have a bad memory.

Not my problem.

Pustomytnyk wrote:

Does this solutions allow to track changes only for some set of products?

You can limit to MediaWiki namespace.

Pustomytnyk wrote:

I'm not sure, but looks like RecentChanges feed don't understand 'hidebots' parameter

(In reply to comment #7)

b) I want to be warned about every new or "fuzzy" MediaWiki message on
Translatewiki before they are applied. Extension:TranslationNotifications is a
good solution if it provides such capability.

My answer got lost in a power outage: to know when a translation of yours got fuzzied, you can add your email and set "E-mail me when a page or file on my watchlist is changed" in your preferences, plus "Add pages I create and files I upload to my watchlist" and if possible "Add pages and files I edit to my watchlist" in the watchlist section.
This won't give notifications of new special pages, but you can watchlist https://translatewiki.net/wiki/MediaWiki:Sp-translate-data-SpecialPageAliases/uk (or subscribe to the feed for its history).

(In reply to comment #14)

I'm not sure, but looks like RecentChanges feed don't understand 'hidebots'
parameter

The link on the left is always the same, you have to add it manually to preserve current behaviour: https://translatewiki.net/w/i.php?title=Special:RecentChanges&hidebots=0&translations=only&trailer=%2Fen&namespace=8&feed=atom

If this is not enough and you think more notifications for new stuff to translate are needed, I can file a feature request for you.

Pustomytnyk wrote:

Special pages aren't big problem now. It's part of bigger problem — lack of notification of new messages. Should I create new feature request?

The link on the left is always the same, you have to add it manually to
preserve current behaviour:
https://translatewiki.net/w/i.php?title=Special:RecentChanges&hidebots=0&translations=only&trailer=%2Fen&namespace=8&feed=atom

I tried this, returns only users edits for me...

I've submitted fix to allow all use of all filters in feeds too: https://gerrit.wikimedia.org/r/34701

intracer added a subscriber: intracer.EditedFeb 16 2016, 9:47 PM

As long as Russian is a valid fallback, this is not going to change

Please explain what is your role to decide that something is not going to change? Is it because you are sysop (and bureaucrat) of translatewiki? Is it stated somewhere in the rules of translatewiki or somewhere?

Restricted Application added a subscriber: Base. · View Herald TranscriptFeb 16 2016, 9:47 PM